Skip to main content
POST
Error

Path Parameters

app_slug
string
required

App slug

team_slug
string
required

Team slug

Body

application/json

Scheduling data

execute_at
string
required

Execute at is the date when the product should change date. This date need to follow the format YYYY-MM-DD

item_id
string
required
item_type
enum<string>
required
Available options:
product,
tag,
image,
price,
variant
add_categories
string[]
add_collections
string[]
add_tags
string[]
remove_categories
string[]
remove_collections
string[]
remove_tags
string[]
to_market_id
string

Market ID for market status change. Only used when item_type is product

to_market_status
enum<string>

Target market status. Only used when item_type is product

Available options:
active,
inactive,
draft,
archived
to_on_sale
boolean

Used to change if a price is on sale on a specific date. Only used when item_type is price

to_price_with_tax
integer

Used to change the price on a specific date. Only used when item_type is price

to_sale_price_with_tax
integer

Used to change the sale price on a specific date. Only used when item_type is price

to_start_sale_timestamp
string

Used to set the start sale timestamp on a specific date. Only used when item_type is price. Expects RFC3339 format.

to_status
enum<string>
Available options:
active,
inactive,
archived,
draft
to_stop_sale_timestamp
string

Used to set the stop sale timestamp on a specific date. Only used when item_type is price. Expects RFC3339 format.

to_store_group_id
string

Store group ID for market status change. Only used when item_type is product

Response

Job is scheduled

data
object
details
string[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

success
boolean